package com.hr.esign;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class PdfSigner {

    private static Pattern pattern = Pattern.compile("^\\d+-\\d+$");
    private static Pattern pattern2 = Pattern.compile("^(\\d+)-(\\d+)$");

    /***
     * 匹配数字"2-15" 的格式
     * @param input
     * @return
     */
    public static int[] extractNumbers(String input) {
        if (input == null || input.isEmpty()) {
            return new int[0]; // 返回空数组表示无效输入
        }

        // 正则表达式：匹配类似 "2-15" 的格式
        Matcher matcher = pattern2.matcher(input);

        if (matcher.matches()) {
            int start = Integer.parseInt(matcher.group(1));
            int end = Integer.parseInt(matcher.group(2));
            return new int[]{start, end};
        } else {
            return new int[0]; // 不匹配格式，返回空数组
        }
    }
    public static Boolean isValidFormat(String input) {
        if (input == null || input.isEmpty()) {
            return false;
        }
        // 正则表达式：匹配类似 "2-11" 的格式，只允许正整数
        Matcher matcher = pattern.matcher(input);
        return matcher.matches();
    }

}
